Loading...
Searching...
No Matches
websocketpp::random::none::int_generator< int_type > Class Template Reference

Thread safe stub "random" integer generator. More...

`#include <none.hpp>`

## Public Member Functions

int_type | operator() ()
| advances the engine's state and returns the generated value

## Detailed Description

template<typename int_type>
class websocketpp::random::none::int_generator< int_type >

Thread safe stub "random" integer generator.

This template class provides a random integer stub. The interface mimics the WebSocket++ RNG generator classes but the generater function always returns zero. This can be used to stub out the RNG for unit and performance testing.

Call operator() to generate the next number

Definition at line 46 of file none.hpp.

## Constructor & Destructor Documentation

## int_generator()

template<typename int_type>

websocketpp::random::none::int_generator< int_type >::int_generator | ( |  | ) |

inline

Definition at line 48 of file none.hpp.

## Member Function Documentation

## operator()()

template<typename int_type>

int_type websocketpp::random::none::int_generator< int_type >::operator() | ( |  | ) |

inline

advances the engine's state and returns the generated value

Definition at line 51 of file none.hpp.

The documentation for this class was generated from the following file:

- websocketpp/random/none.hpp